<!--
    Crowd Discusses Alternatives is a web application for more organized discussions that help people create alternative solutions, evaluate and rank them.

    Copyright 2021-2022 Stavros Kalognomos

    This file is part of Crowd Discusses Alternatives.

    Crowd Discusses Alternatives is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

    Crowd Discusses Alternatives is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License along with Crowd Discusses Alternatives. If not, see <https://www.gnu.org/licenses/>. 
-->
<?php
  require "header.php";
  /*
  exit("<p><br><br><b>-- Please note </b>that currently, the ability of signing up is active only for people that I know and friends of mine.</p>
  <p>You can still login as a guest, if you want to see the content of this platform.</p>");    //Signup is temporarily unavailable.
  */
?>

<main>
	<div>
		<section>
      <br>
      <label form="form-signup">Signup</label>

			<form action="includes/signup-inc.php" method="post" name="form-signup" id="form-signup">
				<input type="text" name="uid" placeholder="Username..." maxlength="9" required="required" title="Use UPPER-case/lower-case letters and numbers for username">
				<input type="Password" name="pwd" placeholder="Password..." required="required" minlength="6" maxlength="20" title="Password must be at least 6 characters long and no more than 20.">
				<input type="Password" name="pwd-repeat" placeholder="Repeat password..." required="required" minlength="6">
				<button type="submit" name="signup-submit">Signup</button>
			</form>

      <p id="p_signup_urlvar"></p>

      <script type="module" src="./signup.js">
        
      </script>

		</section>
	</div>
</main>

<?php
  require "footer.php";
?>